"use strict";
cc._RF.push(module, 'c0f68+pp/hFD7lrxh+749ve', 'JS_change_db');
// Script/JS_change_db.js

'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        db_widget: cc.Node,
        db_node: cc.Node
    },

    init: function init() {
        this.db_widget.active = false;

        this.armatureDisplay = this.db_node.getComponent(dragonBones.ArmatureDisplay);
    },
    button_change_db: function button_change_db() {
        this.db_widget.active = true;

        if (this.db_index === 1) {
            this.db_index = 2;
        } else if (this.db_index === 2) {
            this.db_index = 1;
        }
        this.refresh_db();
    },
    refresh_db: function refresh_db() {

        var self = this;
        var dbUrl_ske = 'beibao' + this.db_index + '_ske';
        var dbUrl_tex = 'beibao' + this.db_index + '_tex';

        cc.loader.loadRes(dbUrl_ske, dragonBones.DragonBonesAsset, function (err, asset) {
            self.armatureDisplay.dragonAsset = asset;

            cc.loader.loadRes(dbUrl_tex, dragonBones.DragonBonesAtlasAsset, function (err, atlasasset) {
                self.armatureDisplay.dragonAtlasAsset = atlasasset;
            });
        });
    },
    onLoad: function onLoad() {
        this.init();
        this.db_index = 1;
    }
});

cc._RF.pop();